Summary:	Tools for accessing CP/M file systems
Summary(pl.UTF-8):	Narzędzia pozwalające na dostęp do systemów plików CP/M
Name:		cpmtools
Version:	2.24
Release:	1
License:	GPL v3+
Group:		Applications/File
Source0:	http://www.moria.de/~michael/cpmtools/files/%{name}-%{version}.tar.gz
# Source0-md5:	0cb3a4c2fa7b2b05d9096d06b4b126b7
Patch0:		%{name}-install.patch
Patch1:		%{name}-link.patch
URL:		http://www.moria.de/~michael/cpmtools/
BuildRequires:	autoconf >= 2.13
BuildRequires:	libdsk-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows to access CP/M file systems similar to the
well-known mtools package, which accesses MSDOS file systems. It's
used mainly for file exchange with a Z80-PC simulator, but it works on
floppy devices as well.

%description -l pl.UTF-8
Ten pakiet pozwala na dostęp do systemów plików CP/M w sposób podobny
do dobrze znanego pakietu mtools, który pozwala na dostęp do systemów
plików MSDOS. Pakiet ten służy głównie do wymiany plików z symulatorem
Z80-PC, ale działa także ze stacjami dyskietek.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure \
	--datarootdir=%{_datadir}/misc \
	--with-libdsk

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/cpm*
%attr(755,root,root) %{_bindir}/fsck.cpm
%attr(755,root,root) %{_bindir}/fsed.cpm
%attr(755,root,root) %{_bindir}/mkfs.cpm
%{_datadir}/misc/diskdefs
%{_mandir}/man1/cpm*.1*
%{_mandir}/man1/fsck.cpm.1*
%{_mandir}/man1/fsed.cpm.1*
%{_mandir}/man1/mkfs.cpm.1*
%{_mandir}/man5/cpm.5*
%{_mandir}/man5/diskdefs.5*
%changelog
* Wed Sep 13 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cpmtools.git;a=log;h=master

* Tue Sep 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 8a4f3f6
- updated to 2.24

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 40dcd60
- updated to 2.20

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> aa6b627
- unbash

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 3e30c4f
- updated to 2.19

* Wed Apr 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 34ef8f1
- updated to 2.18
- updated DESTDIR,link patches

* Tue Nov 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 9dda1fb
- updated to 2.17

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> ab2ece4
- updated to 2.16
- updated DESTDIR patch
- removed obsolete libdsk-fix patch

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 7bec9e3
- updated to 2.15
- updated DESTDIR patch
- added libdsk-fix patch (fixes device_libdsk.c compilation)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fd24296
- release 3

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 621ac4c
- added link patch to fix ncurses linking
- release 2

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 9b43f2c
- updated to 2.13
- updated DESTDIR patch

* Fri Feb 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 98ae5c8
- updated to 2.7 (off-by-one bugfix; GPL v3)
- updated DESTDIR patch

* Fri Feb 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 7e7e72d
- updated for 2.7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 58ae556
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 473b6b4
- converted to UTF-8

* Wed Dec 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 9438a72
- updated to 2.6

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 0128fe3
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Oct 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 24b5895
- "or any later version"

* Fri Oct 21 2005 darekr <darekr@pld-linux.org> ded1c8b
- GPL v2

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 91b6d32
- updated to 2.5

